io.milvus.param.dml

## Class QueryIteratorParam.Builder

- java.lang.Object
- - io.milvus.param.dml.QueryIteratorParam.Builder

- Enclosing class:
    QueryIteratorParam

      public static class QueryIteratorParam.Builder
      extends java.lang.Object

  Builder for `QueryIteratorParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryIteratorParam.Builder` | `addOutField(@NonNull java.lang.String fieldName)` Specifies an output field (Optional).
    `QueryIteratorParam.Builder` | `addPartitionName(@NonNull java.lang.String partitionName)` Adds a partition to specify query scope (Optional).
    `QueryIteratorParam` | `build()` Verifies parameters and creates a new `QueryIteratorParam` instance.
    `QueryIteratorParam.Builder` | `withBatchSize(java.lang.Long batchSize)` Specify a value to control the number of entities returned per batch.
    `QueryIteratorParam.Builder` | `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
    `QueryIteratorParam.Builder` | `withConsistencyLevel(ConsistencyLevelEnum consistencyLevel)` ConsistencyLevel of consistency level.
    `QueryIteratorParam.Builder` | `withDatabaseName(java.lang.String databaseName)` Sets the database name.
    `QueryIteratorParam.Builder` | `withExpr(@NonNull java.lang.String expr)` Sets the expression to query entities.
    `QueryIteratorParam.Builder` | `withIgnoreGrowing(@NonNull java.lang.Boolean ignoreGrowing)` Ignore the growing segments to get best query performance.
    `QueryIteratorParam.Builder` | `withLimit(@NonNull java.lang.Long limit)` Specify a value to control the returned number of entities.
    `QueryIteratorParam.Builder` | `withOffset(@NonNull java.lang.Long offset)` Specify a position to return results.
    `QueryIteratorParam.Builder` | `withOutFields(@NonNull java.util.List<java.lang.String> outFields)` Specifies output fields (Optional).
    `QueryIteratorParam.Builder` | `withPartitionNames(@NonNull java.util.List<java.lang.String> partitionNames)` Sets partition names list to specify query scope (Optional).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withDatabaseName

          public QueryIteratorParam.Builder withDatabaseName(java.lang.String databaseName)

      Sets the database name. database name can be nil.
      Parameters:
        `databaseName` - database name
      Returns:
        `Builder`

    - #### withCollectionName

          public QueryIteratorParam.Builder withCollectionName(@NonNull
                                                               @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withConsistencyLevel

          public QueryIteratorParam.Builder withConsistencyLevel(ConsistencyLevelEnum consistencyLevel)

      ConsistencyLevel of consistency level.
      Parameters:
        `consistencyLevel` - consistency level
      Returns:
        `Builder`

    - #### withPartitionNames

          public QueryIteratorParam.Builder withPartitionNames(@NonNull
                                                               @NonNull java.util.List<java.lang.String> partitionNames)

      Sets partition names list to specify query scope (Optional).
      Parameters:
        `partitionNames` - partition names list
      Returns:
        `Builder`

    - #### addPartitionName

          public QueryIteratorParam.Builder addPartitionName(@NonNull
                                                             @NonNull java.lang.String partitionName)

      Adds a partition to specify query scope (Optional).
      Parameters:
        `partitionName` - partition name
      Returns:
        `Builder`

    - #### withOutFields

          public QueryIteratorParam.Builder withOutFields(@NonNull
                                                          @NonNull java.util.List<java.lang.String> outFields)

      Specifies output fields (Optional).
      Parameters:
        `outFields` - output fields
      Returns:
        `Builder`

    - #### addOutField

          public QueryIteratorParam.Builder addOutField(@NonNull
                                                        @NonNull java.lang.String fieldName)

      Specifies an output field (Optional).
      Parameters:
        `fieldName` - field name
      Returns:
        `Builder`

    - #### withExpr

          public QueryIteratorParam.Builder withExpr(@NonNull
                                                     @NonNull java.lang.String expr)

      Sets the expression to query entities.
      Parameters:
        `expr` - filtering expression
      Returns:
        `Builder`
      See Also:
        Boolean Expression Rules

    - #### withOffset

          public QueryIteratorParam.Builder withOffset(@NonNull
                                                       @NonNull java.lang.Long offset)

      Specify a position to return results. Only take effect when the 'limit' value is specified. Default value is 0, start from begin.
      Parameters:
        `offset` - a value to define the position
      Returns:
        `Builder`

    - #### withLimit

          public QueryIteratorParam.Builder withLimit(@NonNull
                                                      @NonNull java.lang.Long limit)

      Specify a value to control the returned number of entities. Must be a positive value. Default value is -1, will return without limit.
      Parameters:
        `limit` - a value to define the limit of returned entities
      Returns:
        `Builder`

    - #### withBatchSize

          public QueryIteratorParam.Builder withBatchSize(@NotNull
                                                          java.lang.Long batchSize)

      Specify a value to control the number of entities returned per batch. Must be a positive value. Default value is 1000, will return without batchSize.
      Parameters:
        `batchSize` - a value to define the number of entities returned per batch
      Returns:
        `Builder`

    - #### withIgnoreGrowing

          public QueryIteratorParam.Builder withIgnoreGrowing(@NonNull
                                                              @NonNull java.lang.Boolean ignoreGrowing)

      Ignore the growing segments to get best query performance. Default is False. For the user case that don't require data visibility.
      Parameters:
        `ignoreGrowing` - `Boolean.TRUE` ignore, Boolean.FALSE is not
      Returns:
        `Builder`

    - #### build

          public QueryIteratorParam build()
                                   throws ParamException

      Verifies parameters and creates a new `QueryIteratorParam` instance.
      Returns:
        `QueryIteratorParam`
      Throws:
        `ParamException`